Module
Contents
Index 🔎︎

# Input Function [VBA]

Returns the open stream of an Input or Binary file (String).

Denna funktion eller konstant aktiveras med uttrycket Option VBASupport 1 placerat före den körbara programkoden i en modul.

## Syntax:

    Input( Number as Integer, [# ] FileNumber as Integer)

## Returvärde:

String

## Parametrar:

Number: Required. Numeric expression specifying the number of characters to return.

#: Optional.

FileNumber: Required. Any valid file number.

## Felkoder:

6 Spill

52 Ogiltigt filnamn eller filnummer

62 Läsning efter filslutet (EOF)

## Exempel:

    REM ***** BASIC *****

    Option VBASupport 1

    Sub Example_Input

     Dim MyData

     Open "MyDataFile.txt" For Input As #1

     Do While Not EOF(1)

      MyData = Input(1, #1)

      Print MyData

     Loop

     Close #1

    End Sub

Närliggande ämnen

Input# statement

VBA I/O-funktioner